function onBegin()
	makeUnskippable()
	disableMovement()
	setFlag("Dusties",true)
	setFlag("DustiesSides",true)
	setFlag("Water",true)
	wait(0.2)
	enableMovement()
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_Intro") -- someone messed up...
	setFlag("magicpre",true)
	wait(0.5)
	playMusic("music_reflection_fight")
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLeft",true)
	wait(0.5)
	setFlag("warningLeft",false)
	wait(0.25)
	setFlag("bossfightUI",true)
	wait(0.25)
	setFlag("bossfight0",true) -- 4 books attack
	wait(2)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningRight",true)
	wait(0.5)
	setFlag("warningRight",false)
	wait(2)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",true)
	setFlag("warningBottom",true)
	wait(0.5)
	setFlag("warningTop",false)
	setFlag("warningBottom",false)
	wait(4)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersA")
	setFlag("magic0",true)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.5)
	setFlag("warningCorners",false)
	setFlag("bossfight1",true) -- grey books
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",true)
	setFlag("warningBottom",true)
	wait(0.5)
	setFlag("warningTop",false)
	setFlag("warningBottom",false)
	wait(1)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.5)
	setFlag("warningCorners",false)
	wait(2)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCenter",true)
	setFlag("warningLaserCorner",true)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	setFlag("warningCenter",false)
	setFlag("warningLaserCorner",false)
	setFlag("laserCenter",true)
	setFlag("laserCorner",true)
	wait(0.5)
	setFlag("warningCorners",false)
	wait(1)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.5)
	setFlag("warningCorners",false)
	wait(3.5)
	setFlag("switchies",false)
	setFlag("notsaved",true)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLeft",true)
	wait(0.5)
	setFlag("warningLeft",false)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningRight",true)
	setFlag("bossfight11",true)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersB")
	setFlag("magic1",true)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	wait(0.5)
	setFlag("warningRight",false)
	wait(1)
	setFlag("bossfight2",true) -- SPIDERS
	wait(0.5)
	setFlag("laserCenter",false)
	setFlag("laserCorner",false)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLaserSide",true)
	wait(0.5)
	setFlag("warningLaserSide",false)
	setFlag("laserSide",true)
	wait(2)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",true)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",false)
	setFlag("warningBottom",true)
	wait(0.5)
	setFlag("warningBottom",false)
	setFlag("laserSide",false)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCenter",true)
	wait(0.5)
	setFlag("warningCenter",false)
	setFlag("laserCenter",true)
	wait(1.5)
	setFlag("switchies",true)
	wait(2)
	setFlag("laserCenter",false)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersC")
	setFlag("magic2",true)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningDunniesSides",true)
	wait(0.5)
	setFlag("warningDunniesSides",false)
	setFlag("bossfight3",true)
	setFlag("DustiesSides",false)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.5)
	setFlag("warningCorners",false)
	wait(0.5)
	setFlag("bossfight10",true)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLeft",true)
	wait(0.5)
	setFlag("warningLeft",false)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningBottom",true)
	setFlag("bossfight2",false)
	wait(0.5)
	setFlag("warningBottom",false)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningRight",true)
	wait(0.5)
	setFlag("warningRight",false)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",true)
	wait(0.5)
	setFlag("warningTop",false)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",true)
	setFlag("warningBottom",true)
	wait(0.5)
	setFlag("warningTop",false)
	setFlag("warningBottom",false)
	wait(2.5)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersD") -- BUBBLES
	setFlag("magic3",true)
	wait(2)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble1",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble2",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble3",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble4",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble5",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble6",true)
	wait(0.25)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCenter",true)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble7",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble8",true)
	wait(0.25)
	setFlag("warningCenter",false)
	setFlag("laserCenter",true)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble9",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble10",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble11",true)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble12",true)
	setFlag("bossfight1",false)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble13",true)
	setFlag("warningCorners",false)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble14",true)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTop",true)
	setFlag("warningBottom",true)
	wait(0.25)
	setFlag("laserCenter",false)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble15",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble16",true)
	setFlag("warningTop",false)
	setFlag("warningBottom",false)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble17",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("bubble18",true)
	setFlag("warningCorners",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble19",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble20",true)
	setFlag("warningCorners",false)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble21",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble22",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble23",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble24",true)
	setFlag("bossfight4",true)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersE")
	setFlag("magic4",true)
	wait(1)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.5)
	setFlag("warningCorners",false)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningCorners",true)
	wait(0.5)
	setFlag("warningCorners",false)
	wait(1.5)
	setFlag("bossfight5",true)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble25",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble26",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble27",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble28",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble29",true)
	wait(0.25)
	playSound("event:/game/06_reflection/feather_bubble_bounce")
	setFlag("bubble30",true)
	wait(0.25)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningRight",true)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLeft",true)
	setFlag("warningRight",false)
	setFlag("bossfight11",false)
	wait(0.5)
	setFlag("warningLeft",false)
	wait(3.5)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersF")
	setFlag("magic5",true)
	wait(1)
	setFlag("DustiesSides",false)
	wait(1)
	setFlag("finalspider",true)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble24",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble23",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble22",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble21",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble20",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble19",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble18",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble17",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble16",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble15",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble14",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble13",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble12",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble11",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble10",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble9",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble8",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble7",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble6",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble5",false)
	setFlag("finalspider",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble4",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble3",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble2",false)
	wait(0.25)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble1",false)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningWater",true)
	wait(0.5)
	playSound("event:/char/madeline/water_out")
	setFlag("warningWater",false)
	setFlag("Water",false)
	setFlag("redBattle",true)
	playSound("event:/new_content/game/10_farewell/puffer_shrink")
	setFlag("bubble25",false)
	setFlag("bubble26",false)
	setFlag("bubble27",false)
	setFlag("bubble28",false)
	setFlag("bubble29",false)
	setFlag("bubble30",false)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersG")
	setFlag("magic6",true)
	setFlag("Dusties",false)
	setFlag("bossfight6",true)
	wait(4)
	setFlag("Dusties",true)
	wait(0.05)
	setFlag("DustiesSides",true)
	wait(0.45)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	wait(1)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningSpikes",true)
	wait(1)
	setFlag("laserCenter",false)
	setFlag("laserCorner",false)
	setFlag("laserSide",false)
	setFlag("warningSpikes",false)
	setFlag("bossfight7",true)
	wait(4)
	setFlag("warningLaserSide",true)
	setFlag("warningLaserCorner",true)
	wait(0.5)
	setFlag("warningLaserSide",false)
	setFlag("warningLaserCorner",false)
	setFlag("laserCorner",true)
	setFlag("laserSide",true)
	wait(2.5)
	setFlag("laserCorner",true)
	setFlag("laserSide",true)
	wait(2)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersH")
	setFlag("magic7",true)
	wait(0.5)
	setFlag("laserCorner",false)
	setFlag("laserSide",false)
	wait(1)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningTree",true)
	wait(0.5)
	setFlag("warningTree",false)
	setFlag("bossfight8",true)
	wait(2)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	playMusic("music_farewell_intermission_powerpoint")
	miniTextbox("CC_Lobby_Story_CheatersI")
	wait(2)
	setFlag("bossfight9",true)
	setFlag("redBattle",false)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLeft",true)
	wait(0.5)
	playSound("event:/CC/CC_Lobby/CC_SoftAlert")
	setFlag("warningLeft",false)
	setFlag("warningRight",true)
	setFlag("bossfight11",true)
	wait(0.5)
	setFlag("warningRight",false)
	wait(1.5)
	playSound("event:/CC/CC_Lobby/CC_TreeTalking")
	miniTextbox("CC_Lobby_Story_CheatersJ")
	wait(0.5)
	setFlag("finishedBossBattle",true)
	wait(2)
	setFlag("bossfightcompleted",true)
	wait(2)
	--completeArea(false,false,true)
	teleportTo(1762,1794,"TheEnd")
end

function onEnd()
end